
<app-tab [data]="products" [categories]="categories" 
        (changeCategory)="updateProduct($event)"></app-tab>


<app-form-product [categories]="categories" 
        (formSubmit)="addProduct($event)"></app-form-product>